# QGraphicsLinearLayout Class Reference

### [com.trolltech.qt.gui package]

Inherits QGraphicsLayout.

### Constructor

- void QGraphicsLinearLayout(QGraphicsLayoutItem parent)
- void QGraphicsLinearLayout(Orientation orientation, QGraphicsLayoutItem parent)

### Constructor Properties

- prototype: The QGraphicsLinearLayout prototype object

### Prototype Object Properties

The QGraphicsLinearLayout prototype object inherits properties from the QGraphicsLayout prototype object and also has the following properties.

- void addItem(QGraphicsLayoutItem item)
- void addStretch(int stretch)
- Alignment alignment(QGraphicsLayoutItem item)
- void dump(int indent)
- void insertItem(int index, QGraphicsLayoutItem item)
- void insertStretch(int index, int stretch)
- qreal itemSpacing(int index)
- Orientation orientation()
- void removeItem(QGraphicsLayoutItem item)
- void setAlignment(QGraphicsLayoutItem item, Alignment alignment)
- void setItemSpacing(int index, qreal spacing)
- void setOrientation(Orientation orientation)
- void setSpacing(qreal spacing)
- void setStretchFactor(QGraphicsLayoutItem item, int stretch)
- qreal spacing()
- int stretchFactor(QGraphicsLayoutItem item)

### Instance Properties

QGraphicsLinearLayout objects have no special properties beyond those inherited from the QGraphicsLinearLayout prototype object.